Project Chrono: chrono::fea::ChMeshExporter Class Reference

Static Public Member Functions | List of all members
chrono::fea::ChMeshExporter Class Reference
Chrono::Engine » Finite Element Analysis » Utility classes

## Description

Collection of mesh file writer utilities.

`#include <ChMeshExporter.h>`

## Static Public Member Functions
static void | WriteMesh (std::shared_ptr< ChMesh > mesh, const std::string &mesh_filename)
| Write FEA mesh connectivity to specified output file.
static void | WriteFrame (std::shared_ptr< ChMesh > mesh, const std::string &mesh_filename, const std::string &vtk_filename)
| Write current FEA mesh information in VTK format.

## Member Function Documentation

## ◆ WriteFrame()

void chrono::fea::ChMeshExporter::WriteFrame | ( | std::shared_ptr< ChMesh > | mesh,
|  | const std::string & | mesh_filename,
|  | const std::string & | vtk_filename )
| static

Write current FEA mesh information in VTK format.

The vtk files may be opened with external visualization software such as Paraview, Visit, etc. This function requires the mesh connectivity file, which may be written by ChMeshExporter::writeMesh function. Note that this function writes the current state of the mesh when is called. It writes some nodal and elemental information at the "element center". The elemental information may be converted to nodal information later on in the post-processing stage with a visualization software like Paraview.

Parameters

  mesh | destination mesh
  mesh_filename | name of the mesh file with connectivity information
  vtk_filename | output file name

## ◆ WriteMesh()

void chrono::fea::ChMeshExporter::WriteMesh | ( | std::shared_ptr< ChMesh > | mesh,
|  | const std::string & | mesh_filename )
| static

Write FEA mesh connectivity to specified output file.

This connectivity is usually constant throughout the simulation. Hence, it may be called once at the beginning of the simulation (or as many times as it is needed), and should be used in the later stage when the nodal/elemental informations are updated.

Parameters

  mesh | destination mesh
  mesh_filename | output file name

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChMeshExporter.h
- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChMeshExporter.cpp